api

## Class AbstractAlgorithmSuperClass

- java.lang.Object
- - api.AbstractAlgorithmSuperClass

-     public abstract class AbstractAlgorithmSuperClass
      extends java.lang.Object

  API Algorithm Super Class.
  Author:
    Gruppe14

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAlgorithmSuperClass(CpsAPI api)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CpsAPI` | `getAPI()` Returns the API.
    `abstract void` | `runAlgorithm()` This method will be called in each Iteration.
    `void` | `setAPI(CpsAPI api)` Sets the API.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAlgorithmSuperClass

          public AbstractAlgorithmSuperClass(CpsAPI api)

      Constructor.
      Parameters:
        `api` - the API

  - ### Method Detail

    - #### getAPI

          public CpsAPI getAPI()

      Returns the API.
      Returns:
        The API

    - #### setAPI

          public void setAPI(CpsAPI api)

      Sets the API.
      Parameters:
        `api` - the API

    - #### runAlgorithm

          public abstract void runAlgorithm()

      This method will be called in each Iteration.